Skip to main content
`Ctrl`+`K`
scipy.special.

# perm

scipy.special.perm(N, k, exact=False)

  Permutations of N things taken k at a time, i.e., k-permutations of N.

  It’s also known as “partial permutations”.

  Parameters:
    N int, ndarray

      Number of things.

    k int, ndarray

      Number of elements taken.

    exact bool, optional

      If `True`, calculate the answer exactly using long integer arithmetic (N and k must be scalar integers). If `False`, a floating point approximation is calculated (more rapidly) using `poch`. Default is `False`.

  Returns:
    val int, ndarray

      The number of k-permutations of N.

  Notes

  - Array arguments accepted only for exact=False case.

  - If k > N, N < 0, or k < 0, then a 0 is returned.

  Examples

      >>> import numpy as np
      >>> from scipy.special import perm
      >>> k = np.array([3, 4])
      >>> n = np.array([10, 10])
      >>> perm(n, k)
      array([  720.,  5040.])
      >>> perm(10, 3, exact=True)
      720